> For the complete documentation index, see [llms.txt](https://docs.umbraco.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.umbraco.com/umbraco-cms/extend-your-project/server-side-extensions/management/using-services.md).

# Using Umbraco Services

List of service references along with instructions on how to use them, as well as some examples for better understanding.

In this article you can learn how to use and work with some of the services provided with Umbraco CMS.

You can find a list of all supported services in the [API Documentation](https://apidocs.umbraco.com/v18/csharp/api/Umbraco.Cms.Core.Services.html).

## Getting a Service

All services can be accessed with the following using statement:

```csharp
using Umbraco.Cms.Core.Services;
```

In some cases, you can use [Dependency Injection](https://learn.microsoft.com/en-us/dotnet/core/extensions/dependency-injection). For example, if you have registered your class in Umbraco's dependency injection, you can specify the service interface in your constructor.

To use the `NotificationService` you can use Dependency Injection via the `INotificationService` interface like this:

```csharp
public class MyClass
{
    private INotificationService _notificationService;

 public MyClass(INotificationService notificationService)
 {
  _notificationService = notificationService;
 }
}
```

In Razor views, you can access the Notification Service through the `@inject` directive:

```csharp
@inject INotificationService NotificationService
```

Use the above example for other services by replacing the interface and the name of the service.

## Examples on using services

* [Consent Service](/umbraco-cms/extend-your-project/server-side-extensions/management/using-services/consentservice.md)
* [User Service](/umbraco-cms/extend-your-project/server-side-extensions/management/using-services/userservice.md)
* [Content Service](/umbraco-cms/extend-your-project/server-side-extensions/management/using-services/contentservice.md)
* [Media Service](/umbraco-cms/extend-your-project/server-side-extensions/management/using-services/mediaservice.md)
* [Relation Service](/umbraco-cms/extend-your-project/server-side-extensions/management/using-services/relationservice.md)
* [Content Type Service](/umbraco-cms/extend-your-project/server-side-extensions/management/using-services/contenttypeservice.md)
* [Localization Service](https://github.com/umbraco/UmbracoDocs/tree/main/18/umbraco-cms/extend-your-project/server-side-extensions/management/using-services/localizationservice.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.umbraco.com/umbraco-cms/extend-your-project/server-side-extensions/management/using-services.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
